#ifndef MARS_MHFadcPix
#define MARS_MHFadcPix

#ifndef MARS_MParContainer
#include "MParContainer.h"
#endif

class TH1F;

class MHFadcPix : public MParContainer
{
private:
    TH1F *fHistHi;
    TH1F *fHistLo;

    UInt_t fPixId;

public:
    MHFadcPix(UInt_t pixid=0);
    ~MHFadcPix();

    TH1F *GetHistHi() { return fHistHi; }
    TH1F *GetHistLo() { return fHistLo; }

    void FillHi(Byte_t i);
    void FillLo(Byte_t i);

    void DrawHi();
    void DrawLo();

    TObject *Clone(const char *) const;

    void Draw(Option_t *opt=NULL);

    ClassDef(MHFadcPix, 1) // Conatiner to hold two histograms container spektrums for the lo-/hi gain of one pixel
};

#endif

